This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 99098 - RedHat patched pvmove fails with unpatched kernels.
RedHat patched pvmove fails with unpatched kernels.
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: lvm (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Brian Brock
http://www.rcom.com.ar/comunidad/tiki...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-14 11:00 EDT by Juan Pablo Giménez
Modified: 2007-04-18 12:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:47:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juan Pablo Giménez 2003-07-14 11:00:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.4) Gecko/20030630

Description of problem:
With my kernel, 2.4.20 clean, downloaded from kernel.org and compiled without
patches, the "ioctl(group, PE_LOCKED_COPY..." call return "-ENOTTY". With this
patch the RedHat pvmove works with unpatched kernels.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Download 2.4.20 kernel from kernel.org
2.Compile it
3.Test pvmove with this kernel
    

Actual Results:  [root@jay root]# pvmove /dev/hdb2
pvmove -- moving physical extents in active volume group "Volume00"
pvmove -- WARNING: if you lose power during the move you may need
	to restore your LVM metadata from backup!
pvmove -- do you want to continue? [y/n] y
/dev/Volume00/group::/dev/Volume00/vmail: 0342 8576, 1601 14688640
pvmove -- ERROR "Inappropriate ioctl for device" copying extent from "/dev/hdb2"
pvmove -- ERROR "Inappropriate ioctl for device" moving physical extents

Expected Results:  pvmove must use the old pvmove routines, UserSpace copy.

Additional info:

patch to fix it,

        --- lib/pv_move.c	2003-07-11 19:10:26.000000000 -0300
        +++ lib/pv_move.c.rcom	2003-07-11 19:09:35.000000000 -0300
        @@ -916,7 +916,7 @@
         	ret = ioctl(group, PE_LOCKED_COPY, &pe_copy_req);
         	if (ret < 0)
         		ret = -errno;
        -	if (ret == -EINVAL)
        +	if (ret == -EINVAL || ret == -ENOTTY)
         		ret = -LVM_EPV_LOCKED_COPY_EINVAL;
         	
         	close(group);
Comment 1 Bill Nottingham 2006-08-05 00:01:15 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:47:01 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.